# -*- coding: utf-8 -*-

import os
import datetime
import logging
import logging.handlers

import click
from kombu import Connection
from dropshipping.utils.utils import is_asin_valid
import dateutil
import dateutil.parser
from em_tasks.store.models import *

from em_celery import logger, get_offer_service, get_mongo, init_db, get_product_service


@click.command('download emp asins')
@click.argument('asin_path')

def download(asin_path):
  init_db()
  log_dir = os.path.join(os.path.expanduser('~'), '.em_celery', 'logs')
  if not os.path.isdir(log_dir):
    os.makedirs(log_dir)
  log_path = os.path.join(log_dir, 'spapi_update_item_offers_task_sender.log')
  level = logging.INFO
  max_bytes = 20 * 1024 ** 2
  fh = logging.handlers.RotatingFileHandler(
    log_path, maxBytes=max_bytes, backupCount=5)
  fh.setLevel(level)
  formatter = logging.Formatter('%(asctime)s %(name)s [%(levelname)s]:%(message)s')
  fh.setFormatter(formatter)
  logger.addHandler(fh)
  asins = []
  with open(asin_path, "r") as file:
      for line in file:
          asins.append(line.strip())

  try:
    # query = ProductSource.select(ProductSource.id, ProductSource.manual, ProductSource.source).where(ProductSource.source_product_id.in_(asins))
    # # 更新 manual 字段
    #
    # with open("emp_product_source_id.txt", 'w') as file:
    #     for record in query:
    #         file.write(str(record.id) + '\t' + str(record.manual) + '\t' + str(record.source) + '\n')

    query_update = ProductSource.update(manual=1).where(ProductSource.source_product_id.in_(asins))
    query_update.execute()

if __name__ == "__main__":
  download()
